#!/usr/bin/perl -w

# tlight1.pl --- Standalone traffic light simulation

use TrafficLight;
use Controller;

# Create one traffic light and one controller
# which changes state every 10 seconds
$light1 = new TrafficLight;
$ctl = new Controller(10);

$ctl->setTrafficLight($light1);
$ctl->start;
